package de.bsvrz.buv.plugin.pua.basis.combinedChart;

import org.eclipse.core.runtime.Status;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IViewReference;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.IWorkbenchPart;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;
import org.eclipse.ui.PartInitException;
import org.eclipse.ui.internal.WorkbenchPage;

import de.bsvrz.buv.plugin.pua.basis.Activator;

public class KombinierteGanglinieAuswahlAction implements IWorkbenchWindowActionDelegate
{
  
  private IWorkbenchWindow _window;
  
  @Override
  public void dispose() {
  }

  @Override
  public void init(IWorkbenchWindow window) {
    _window = window;
  }

  @Override
  public void run(IAction action) {
    IWorkbenchPage page = _window.getActivePage();
    try
    {
      page.showView(KombinierteGanglinieAuswahlView.ID);
      IViewReference ref = page.findViewReference(KombinierteGanglinieAuswahlView.ID);    
      ((WorkbenchPage)page).getActivePerspective().getPresentation().detachPart(ref);
      IWorkbenchPart viewPart = ref.getPart(false);
      Shell shell = viewPart.getSite().getShell();
      shell.setSize(550, 635);   
    }
    catch (PartInitException e)
    {
      String msg = "Fehler beim ffnen der Sicht ID \"" + KombinierteGanglinieAuswahlView.ID + "\"";
      Activator.getDefault().getLog().log(new Status(Status.ERROR, Activator.PLUGIN_ID, msg, e));
      System.err.println(msg);
      e.printStackTrace(System.err);
    }
  }

  @Override
  public void selectionChanged(IAction action, ISelection selection) {
  }

}
