/**
 * <copyright>
 * </copyright>
 *
 * $Id: DiagrammEigenschaftenImpl.java,v 1.4 2014/04/28 13:02:07 Pittner Exp $
 */
package de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl;

import java.util.Date;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.AchsenBeschreibung;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypObjektBezeichnung;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypPrognoseTyp;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>Diagramm Eigenschaften</b></em>'. <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getTypPrognoseTyp <em>Typ Prognose Typ</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getXAxisType <em>XAxis Type</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getYAxisTypAnzahl <em>YAxis Typ Anzahl</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getYAxisTypeGeschwindigkeit <em>YAxis Type Geschwindigkeit</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getYAxisBemessungsverkehrsstaerke <em>YAxis Bemessungsverkehrsstaerke</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getYAxisBemessungsverkehrsdichte <em>YAxis Bemessungsverkehrsdichte</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getYAxisFahrezeugdichte <em>YAxis Fahrezeugdichte</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getYAxisLKWAnteil <em>YAxis LKW Anteil</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#isGeschwindigkeitsLimitLinieStat <em>Geschwindigkeits Limit Linie Stat</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#isGeschwindigkeitsLimitIcons <em>Geschwindigkeits Limit Icons</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#isAnzeigeQuerschnitteIcons <em>Anzeige Querschnitte Icons</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getHistorieStartZeitpunkt <em>Historie Start Zeitpunkt</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getHistorieEndZeitpunkt <em>Historie End Zeitpunkt</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getSkalierungXAchse <em>Skalierung XAchse</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#getTypObjektBezeichnung <em>Typ Objekt Bezeichnung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.DiagrammEigenschaftenImpl#isGeschwindigkeitsLimitLinieDyn <em>Geschwindigkeits Limit Linie Dyn</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class DiagrammEigenschaftenImpl extends EObjectImpl implements
		DiagrammEigenschaften {
	/**
   * The default value of the '{@link #getTypPrognoseTyp() <em>Typ Prognose Typ</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getTypPrognoseTyp()
   * @generated
   * @ordered
   */
	protected static final TypPrognoseTyp TYP_PROGNOSE_TYP_EDEFAULT = TypPrognoseTyp.ANALYSE;

	/**
   * The cached value of the '{@link #getTypPrognoseTyp() <em>Typ Prognose Typ</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getTypPrognoseTyp()
   * @generated
   * @ordered
   */
	protected TypPrognoseTyp typPrognoseTyp = TYP_PROGNOSE_TYP_EDEFAULT;

	/**
   * The cached value of the '{@link #getXAxisType() <em>XAxis Type</em>}' containment reference.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getXAxisType()
   * @generated
   * @ordered
   */
	protected AchsenBeschreibung xAxisType;

	/**
   * The cached value of the '{@link #getYAxisTypAnzahl() <em>YAxis Typ Anzahl</em>}' containment reference.
   * <!-- begin-user-doc
	 * --> <!-- end-user-doc -->
   * @see #getYAxisTypAnzahl()
   * @generated
   * @ordered
   */
	protected AchsenBeschreibung yAxisTypAnzahl;

	/**
	 * The cached value of the '{@link #getYAxisTypeGeschwindigkeit()
	 * <em>YAxis Type Geschwindigkeit</em>}' containment reference. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see #getYAxisTypeGeschwindigkeit()
	 * @generated
	 * @ordered
	 */
	protected AchsenBeschreibung yAxisTypeGeschwindigkeit;

	/**
	 * The cached value of the '{@link #getYAxisBemessungsverkehrsstaerke()
	 * <em>YAxis Bemessungsverkehrsstaerke</em>}' containment reference. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see #getYAxisBemessungsverkehrsstaerke()
	 * @generated
	 * @ordered
	 */
	protected AchsenBeschreibung yAxisBemessungsverkehrsstaerke;

	/**
	 * The cached value of the '{@link #getYAxisBemessungsverkehrsdichte()
	 * <em>YAxis Bemessungsverkehrsdichte</em>}' containment reference. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see #getYAxisBemessungsverkehrsdichte()
	 * @generated
	 * @ordered
	 */
	protected AchsenBeschreibung yAxisBemessungsverkehrsdichte;

	/**
	 * The cached value of the '{@link #getYAxisFahrezeugdichte()
	 * <em>YAxis Fahrezeugdichte</em>}' containment reference. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see #getYAxisFahrezeugdichte()
	 * @generated
	 * @ordered
	 */
	protected AchsenBeschreibung yAxisFahrezeugdichte;

	/**
   * The cached value of the '{@link #getYAxisLKWAnteil() <em>YAxis LKW Anteil</em>}' containment reference.
   * <!-- begin-user-doc
	 * --> <!-- end-user-doc -->
   * @see #getYAxisLKWAnteil()
   * @generated
   * @ordered
   */
	protected AchsenBeschreibung yAxisLKWAnteil;

	/**
   * The default value of the '{@link #isGeschwindigkeitsLimitLinieStat() <em>Geschwindigkeits Limit Linie Stat</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isGeschwindigkeitsLimitLinieStat()
   * @generated
   * @ordered
   */
  protected static final boolean GESCHWINDIGKEITS_LIMIT_LINIE_STAT_EDEFAULT = false;

  /**
   * The cached value of the '{@link #isGeschwindigkeitsLimitLinieStat() <em>Geschwindigkeits Limit Linie Stat</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isGeschwindigkeitsLimitLinieStat()
   * @generated
   * @ordered
   */
  protected boolean geschwindigkeitsLimitLinieStat = GESCHWINDIGKEITS_LIMIT_LINIE_STAT_EDEFAULT;

  /**
   * The default value of the '{@link #isGeschwindigkeitsLimitIcons() <em>Geschwindigkeits Limit Icons</em>}' attribute.
   * <!-- begin-user-doc
	 * --> <!-- end-user-doc -->
   * @see #isGeschwindigkeitsLimitIcons()
   * @generated
   * @ordered
   */
	protected static final boolean GESCHWINDIGKEITS_LIMIT_ICONS_EDEFAULT = false;

	/**
   * The cached value of the '{@link #isGeschwindigkeitsLimitIcons() <em>Geschwindigkeits Limit Icons</em>}' attribute.
   * <!-- begin-user-doc
	 * --> <!-- end-user-doc -->
   * @see #isGeschwindigkeitsLimitIcons()
   * @generated
   * @ordered
   */
	protected boolean geschwindigkeitsLimitIcons = GESCHWINDIGKEITS_LIMIT_ICONS_EDEFAULT;

	/**
   * The default value of the '{@link #isAnzeigeQuerschnitteIcons() <em>Anzeige Querschnitte Icons</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #isAnzeigeQuerschnitteIcons()
   * @generated
   * @ordered
   */
	protected static final boolean ANZEIGE_QUERSCHNITTE_ICONS_EDEFAULT = false;

	/**
   * The cached value of the '{@link #isAnzeigeQuerschnitteIcons() <em>Anzeige Querschnitte Icons</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #isAnzeigeQuerschnitteIcons()
   * @generated
   * @ordered
   */
	protected boolean anzeigeQuerschnitteIcons = ANZEIGE_QUERSCHNITTE_ICONS_EDEFAULT;

	/**
   * The default value of the '{@link #getHistorieStartZeitpunkt() <em>Historie Start Zeitpunkt</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getHistorieStartZeitpunkt()
   * @generated
   * @ordered
   */
	protected static final Date HISTORIE_START_ZEITPUNKT_EDEFAULT = null;

	/**
   * The cached value of the '{@link #getHistorieStartZeitpunkt() <em>Historie Start Zeitpunkt</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @see #getHistorieStartZeitpunkt()
   * @generated
   * @ordered
   */
	protected Date historieStartZeitpunkt = HISTORIE_START_ZEITPUNKT_EDEFAULT;

	/**
   * The default value of the '{@link #getHistorieEndZeitpunkt() <em>Historie End Zeitpunkt</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getHistorieEndZeitpunkt()
   * @generated
   * @ordered
   */
	protected static final Date HISTORIE_END_ZEITPUNKT_EDEFAULT = null;

	/**
   * The cached value of the '{@link #getHistorieEndZeitpunkt() <em>Historie End Zeitpunkt</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getHistorieEndZeitpunkt()
   * @generated
   * @ordered
   */
	protected Date historieEndZeitpunkt = HISTORIE_END_ZEITPUNKT_EDEFAULT;

	/**
   * The default value of the '{@link #getSkalierungXAchse() <em>Skalierung XAchse</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getSkalierungXAchse()
   * @generated
   * @ordered
   */
	protected static final float SKALIERUNG_XACHSE_EDEFAULT = 700.0F;

	/**
   * The cached value of the '{@link #getSkalierungXAchse() <em>Skalierung XAchse</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getSkalierungXAchse()
   * @generated
   * @ordered
   */
	protected float skalierungXAchse = SKALIERUNG_XACHSE_EDEFAULT;

	/**
   * The default value of the '{@link #getTypObjektBezeichnung() <em>Typ Objekt Bezeichnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getTypObjektBezeichnung()
   * @generated
   * @ordered
   */
  protected static final TypObjektBezeichnung TYP_OBJEKT_BEZEICHNUNG_EDEFAULT = TypObjektBezeichnung.NAME;

  /**
   * The cached value of the '{@link #getTypObjektBezeichnung() <em>Typ Objekt Bezeichnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getTypObjektBezeichnung()
   * @generated
   * @ordered
   */
  protected TypObjektBezeichnung typObjektBezeichnung = TYP_OBJEKT_BEZEICHNUNG_EDEFAULT;

  /**
   * The default value of the '{@link #isGeschwindigkeitsLimitLinieDyn() <em>Geschwindigkeits Limit Linie Dyn</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isGeschwindigkeitsLimitLinieDyn()
   * @generated
   * @ordered
   */
  protected static final boolean GESCHWINDIGKEITS_LIMIT_LINIE_DYN_EDEFAULT = false;

  /**
   * The cached value of the '{@link #isGeschwindigkeitsLimitLinieDyn() <em>Geschwindigkeits Limit Linie Dyn</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isGeschwindigkeitsLimitLinieDyn()
   * @generated
   * @ordered
   */
  protected boolean geschwindigkeitsLimitLinieDyn = GESCHWINDIGKEITS_LIMIT_LINIE_DYN_EDEFAULT;

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	protected DiagrammEigenschaftenImpl() {
    super();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	protected EClass eStaticClass() {
    return StreckenprofilPackage.Literals.DIAGRAMM_EIGENSCHAFTEN;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public TypPrognoseTyp getTypPrognoseTyp() {
    return typPrognoseTyp;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setTypPrognoseTyp(TypPrognoseTyp newTypPrognoseTyp) {
    TypPrognoseTyp oldTypPrognoseTyp = typPrognoseTyp;
    typPrognoseTyp = newTypPrognoseTyp == null ? TYP_PROGNOSE_TYP_EDEFAULT : newTypPrognoseTyp;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__TYP_PROGNOSE_TYP, oldTypPrognoseTyp, typPrognoseTyp));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public AchsenBeschreibung getXAxisType() {
    return xAxisType;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetXAxisType(AchsenBeschreibung newXAxisType,
			NotificationChain msgs) {
    AchsenBeschreibung oldXAxisType = xAxisType;
    xAxisType = newXAxisType;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__XAXIS_TYPE, oldXAxisType, newXAxisType);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setXAxisType(AchsenBeschreibung newXAxisType) {
    if (newXAxisType != xAxisType)
    {
      NotificationChain msgs = null;
      if (xAxisType != null)
        msgs = ((InternalEObject)xAxisType).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__XAXIS_TYPE, null, msgs);
      if (newXAxisType != null)
        msgs = ((InternalEObject)newXAxisType).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__XAXIS_TYPE, null, msgs);
      msgs = basicSetXAxisType(newXAxisType, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__XAXIS_TYPE, newXAxisType, newXAxisType));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public AchsenBeschreibung getYAxisTypAnzahl() {
    return yAxisTypAnzahl;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetYAxisTypAnzahl(
			AchsenBeschreibung newYAxisTypAnzahl, NotificationChain msgs) {
    AchsenBeschreibung oldYAxisTypAnzahl = yAxisTypAnzahl;
    yAxisTypAnzahl = newYAxisTypAnzahl;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYP_ANZAHL, oldYAxisTypAnzahl, newYAxisTypAnzahl);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setYAxisTypAnzahl(AchsenBeschreibung newYAxisTypAnzahl) {
    if (newYAxisTypAnzahl != yAxisTypAnzahl)
    {
      NotificationChain msgs = null;
      if (yAxisTypAnzahl != null)
        msgs = ((InternalEObject)yAxisTypAnzahl).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYP_ANZAHL, null, msgs);
      if (newYAxisTypAnzahl != null)
        msgs = ((InternalEObject)newYAxisTypAnzahl).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYP_ANZAHL, null, msgs);
      msgs = basicSetYAxisTypAnzahl(newYAxisTypAnzahl, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYP_ANZAHL, newYAxisTypAnzahl, newYAxisTypAnzahl));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public AchsenBeschreibung getYAxisTypeGeschwindigkeit() {
    return yAxisTypeGeschwindigkeit;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetYAxisTypeGeschwindigkeit(
			AchsenBeschreibung newYAxisTypeGeschwindigkeit,
			NotificationChain msgs) {
    AchsenBeschreibung oldYAxisTypeGeschwindigkeit = yAxisTypeGeschwindigkeit;
    yAxisTypeGeschwindigkeit = newYAxisTypeGeschwindigkeit;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYPE_GESCHWINDIGKEIT, oldYAxisTypeGeschwindigkeit, newYAxisTypeGeschwindigkeit);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setYAxisTypeGeschwindigkeit(
			AchsenBeschreibung newYAxisTypeGeschwindigkeit) {
    if (newYAxisTypeGeschwindigkeit != yAxisTypeGeschwindigkeit)
    {
      NotificationChain msgs = null;
      if (yAxisTypeGeschwindigkeit != null)
        msgs = ((InternalEObject)yAxisTypeGeschwindigkeit).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYPE_GESCHWINDIGKEIT, null, msgs);
      if (newYAxisTypeGeschwindigkeit != null)
        msgs = ((InternalEObject)newYAxisTypeGeschwindigkeit).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYPE_GESCHWINDIGKEIT, null, msgs);
      msgs = basicSetYAxisTypeGeschwindigkeit(newYAxisTypeGeschwindigkeit, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYPE_GESCHWINDIGKEIT, newYAxisTypeGeschwindigkeit, newYAxisTypeGeschwindigkeit));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public AchsenBeschreibung getYAxisBemessungsverkehrsstaerke() {
    return yAxisBemessungsverkehrsstaerke;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetYAxisBemessungsverkehrsstaerke(
			AchsenBeschreibung newYAxisBemessungsverkehrsstaerke,
			NotificationChain msgs) {
    AchsenBeschreibung oldYAxisBemessungsverkehrsstaerke = yAxisBemessungsverkehrsstaerke;
    yAxisBemessungsverkehrsstaerke = newYAxisBemessungsverkehrsstaerke;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSSTAERKE, oldYAxisBemessungsverkehrsstaerke, newYAxisBemessungsverkehrsstaerke);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setYAxisBemessungsverkehrsstaerke(
			AchsenBeschreibung newYAxisBemessungsverkehrsstaerke) {
    if (newYAxisBemessungsverkehrsstaerke != yAxisBemessungsverkehrsstaerke)
    {
      NotificationChain msgs = null;
      if (yAxisBemessungsverkehrsstaerke != null)
        msgs = ((InternalEObject)yAxisBemessungsverkehrsstaerke).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSSTAERKE, null, msgs);
      if (newYAxisBemessungsverkehrsstaerke != null)
        msgs = ((InternalEObject)newYAxisBemessungsverkehrsstaerke).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSSTAERKE, null, msgs);
      msgs = basicSetYAxisBemessungsverkehrsstaerke(newYAxisBemessungsverkehrsstaerke, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSSTAERKE, newYAxisBemessungsverkehrsstaerke, newYAxisBemessungsverkehrsstaerke));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public AchsenBeschreibung getYAxisBemessungsverkehrsdichte() {
    return yAxisBemessungsverkehrsdichte;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetYAxisBemessungsverkehrsdichte(
			AchsenBeschreibung newYAxisBemessungsverkehrsdichte,
			NotificationChain msgs) {
    AchsenBeschreibung oldYAxisBemessungsverkehrsdichte = yAxisBemessungsverkehrsdichte;
    yAxisBemessungsverkehrsdichte = newYAxisBemessungsverkehrsdichte;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSDICHTE, oldYAxisBemessungsverkehrsdichte, newYAxisBemessungsverkehrsdichte);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setYAxisBemessungsverkehrsdichte(
			AchsenBeschreibung newYAxisBemessungsverkehrsdichte) {
    if (newYAxisBemessungsverkehrsdichte != yAxisBemessungsverkehrsdichte)
    {
      NotificationChain msgs = null;
      if (yAxisBemessungsverkehrsdichte != null)
        msgs = ((InternalEObject)yAxisBemessungsverkehrsdichte).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSDICHTE, null, msgs);
      if (newYAxisBemessungsverkehrsdichte != null)
        msgs = ((InternalEObject)newYAxisBemessungsverkehrsdichte).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSDICHTE, null, msgs);
      msgs = basicSetYAxisBemessungsverkehrsdichte(newYAxisBemessungsverkehrsdichte, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSDICHTE, newYAxisBemessungsverkehrsdichte, newYAxisBemessungsverkehrsdichte));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public AchsenBeschreibung getYAxisFahrezeugdichte() {
    return yAxisFahrezeugdichte;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetYAxisFahrezeugdichte(
			AchsenBeschreibung newYAxisFahrezeugdichte, NotificationChain msgs) {
    AchsenBeschreibung oldYAxisFahrezeugdichte = yAxisFahrezeugdichte;
    yAxisFahrezeugdichte = newYAxisFahrezeugdichte;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_FAHREZEUGDICHTE, oldYAxisFahrezeugdichte, newYAxisFahrezeugdichte);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setYAxisFahrezeugdichte(
			AchsenBeschreibung newYAxisFahrezeugdichte) {
    if (newYAxisFahrezeugdichte != yAxisFahrezeugdichte)
    {
      NotificationChain msgs = null;
      if (yAxisFahrezeugdichte != null)
        msgs = ((InternalEObject)yAxisFahrezeugdichte).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_FAHREZEUGDICHTE, null, msgs);
      if (newYAxisFahrezeugdichte != null)
        msgs = ((InternalEObject)newYAxisFahrezeugdichte).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_FAHREZEUGDICHTE, null, msgs);
      msgs = basicSetYAxisFahrezeugdichte(newYAxisFahrezeugdichte, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_FAHREZEUGDICHTE, newYAxisFahrezeugdichte, newYAxisFahrezeugdichte));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public AchsenBeschreibung getYAxisLKWAnteil() {
    return yAxisLKWAnteil;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetYAxisLKWAnteil(
			AchsenBeschreibung newYAxisLKWAnteil, NotificationChain msgs) {
    AchsenBeschreibung oldYAxisLKWAnteil = yAxisLKWAnteil;
    yAxisLKWAnteil = newYAxisLKWAnteil;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_LKW_ANTEIL, oldYAxisLKWAnteil, newYAxisLKWAnteil);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setYAxisLKWAnteil(AchsenBeschreibung newYAxisLKWAnteil) {
    if (newYAxisLKWAnteil != yAxisLKWAnteil)
    {
      NotificationChain msgs = null;
      if (yAxisLKWAnteil != null)
        msgs = ((InternalEObject)yAxisLKWAnteil).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_LKW_ANTEIL, null, msgs);
      if (newYAxisLKWAnteil != null)
        msgs = ((InternalEObject)newYAxisLKWAnteil).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_LKW_ANTEIL, null, msgs);
      msgs = basicSetYAxisLKWAnteil(newYAxisLKWAnteil, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_LKW_ANTEIL, newYAxisLKWAnteil, newYAxisLKWAnteil));
  }

	/**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isGeschwindigkeitsLimitLinieStat()
  {
    return geschwindigkeitsLimitLinieStat;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setGeschwindigkeitsLimitLinieStat(boolean newGeschwindigkeitsLimitLinieStat)
  {
    boolean oldGeschwindigkeitsLimitLinieStat = geschwindigkeitsLimitLinieStat;
    geschwindigkeitsLimitLinieStat = newGeschwindigkeitsLimitLinieStat;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_STAT, oldGeschwindigkeitsLimitLinieStat, geschwindigkeitsLimitLinieStat));
  }

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public boolean isGeschwindigkeitsLimitIcons() {
    return geschwindigkeitsLimitIcons;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setGeschwindigkeitsLimitIcons(
			boolean newGeschwindigkeitsLimitIcons) {
    boolean oldGeschwindigkeitsLimitIcons = geschwindigkeitsLimitIcons;
    geschwindigkeitsLimitIcons = newGeschwindigkeitsLimitIcons;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_ICONS, oldGeschwindigkeitsLimitIcons, geschwindigkeitsLimitIcons));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public boolean isAnzeigeQuerschnitteIcons() {
    return anzeigeQuerschnitteIcons;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setAnzeigeQuerschnitteIcons(boolean newAnzeigeQuerschnitteIcons) {
    boolean oldAnzeigeQuerschnitteIcons = anzeigeQuerschnitteIcons;
    anzeigeQuerschnitteIcons = newAnzeigeQuerschnitteIcons;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__ANZEIGE_QUERSCHNITTE_ICONS, oldAnzeigeQuerschnitteIcons, anzeigeQuerschnitteIcons));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public Date getHistorieStartZeitpunkt() {
    return historieStartZeitpunkt;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setHistorieStartZeitpunkt(Date newHistorieStartZeitpunkt) {
    Date oldHistorieStartZeitpunkt = historieStartZeitpunkt;
    historieStartZeitpunkt = newHistorieStartZeitpunkt;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__HISTORIE_START_ZEITPUNKT, oldHistorieStartZeitpunkt, historieStartZeitpunkt));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public Date getHistorieEndZeitpunkt() {
    return historieEndZeitpunkt;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setHistorieEndZeitpunkt(Date newHistorieEndZeitpunkt) {
    Date oldHistorieEndZeitpunkt = historieEndZeitpunkt;
    historieEndZeitpunkt = newHistorieEndZeitpunkt;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__HISTORIE_END_ZEITPUNKT, oldHistorieEndZeitpunkt, historieEndZeitpunkt));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public float getSkalierungXAchse() {
    return skalierungXAchse;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setSkalierungXAchse(float newSkalierungXAchse) {
    float oldSkalierungXAchse = skalierungXAchse;
    skalierungXAchse = newSkalierungXAchse;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__SKALIERUNG_XACHSE, oldSkalierungXAchse, skalierungXAchse));
  }

	/**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public TypObjektBezeichnung getTypObjektBezeichnung()
  {
    return typObjektBezeichnung;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setTypObjektBezeichnung(TypObjektBezeichnung newTypObjektBezeichnung)
  {
    TypObjektBezeichnung oldTypObjektBezeichnung = typObjektBezeichnung;
    typObjektBezeichnung = newTypObjektBezeichnung == null ? TYP_OBJEKT_BEZEICHNUNG_EDEFAULT : newTypObjektBezeichnung;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__TYP_OBJEKT_BEZEICHNUNG, oldTypObjektBezeichnung, typObjektBezeichnung));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isGeschwindigkeitsLimitLinieDyn()
  {
    return geschwindigkeitsLimitLinieDyn;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setGeschwindigkeitsLimitLinieDyn(boolean newGeschwindigkeitsLimitLinieDyn)
  {
    boolean oldGeschwindigkeitsLimitLinieDyn = geschwindigkeitsLimitLinieDyn;
    geschwindigkeitsLimitLinieDyn = newGeschwindigkeitsLimitLinieDyn;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_DYN, oldGeschwindigkeitsLimitLinieDyn, geschwindigkeitsLimitLinieDyn));
  }

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd,
			int featureID, NotificationChain msgs) {
    switch (featureID)
    {
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__XAXIS_TYPE:
        return basicSetXAxisType(null, msgs);
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYP_ANZAHL:
        return basicSetYAxisTypAnzahl(null, msgs);
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYPE_GESCHWINDIGKEIT:
        return basicSetYAxisTypeGeschwindigkeit(null, msgs);
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSSTAERKE:
        return basicSetYAxisBemessungsverkehrsstaerke(null, msgs);
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSDICHTE:
        return basicSetYAxisBemessungsverkehrsdichte(null, msgs);
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_FAHREZEUGDICHTE:
        return basicSetYAxisFahrezeugdichte(null, msgs);
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_LKW_ANTEIL:
        return basicSetYAxisLKWAnteil(null, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
    switch (featureID)
    {
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__TYP_PROGNOSE_TYP:
        return getTypPrognoseTyp();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__XAXIS_TYPE:
        return getXAxisType();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYP_ANZAHL:
        return getYAxisTypAnzahl();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYPE_GESCHWINDIGKEIT:
        return getYAxisTypeGeschwindigkeit();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSSTAERKE:
        return getYAxisBemessungsverkehrsstaerke();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSDICHTE:
        return getYAxisBemessungsverkehrsdichte();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_FAHREZEUGDICHTE:
        return getYAxisFahrezeugdichte();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_LKW_ANTEIL:
        return getYAxisLKWAnteil();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_STAT:
        return isGeschwindigkeitsLimitLinieStat();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_ICONS:
        return isGeschwindigkeitsLimitIcons();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__ANZEIGE_QUERSCHNITTE_ICONS:
        return isAnzeigeQuerschnitteIcons();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__HISTORIE_START_ZEITPUNKT:
        return getHistorieStartZeitpunkt();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__HISTORIE_END_ZEITPUNKT:
        return getHistorieEndZeitpunkt();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__SKALIERUNG_XACHSE:
        return getSkalierungXAchse();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__TYP_OBJEKT_BEZEICHNUNG:
        return getTypObjektBezeichnung();
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_DYN:
        return isGeschwindigkeitsLimitLinieDyn();
    }
    return super.eGet(featureID, resolve, coreType);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public void eSet(int featureID, Object newValue) {
    switch (featureID)
    {
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__TYP_PROGNOSE_TYP:
        setTypPrognoseTyp((TypPrognoseTyp)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__XAXIS_TYPE:
        setXAxisType((AchsenBeschreibung)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYP_ANZAHL:
        setYAxisTypAnzahl((AchsenBeschreibung)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYPE_GESCHWINDIGKEIT:
        setYAxisTypeGeschwindigkeit((AchsenBeschreibung)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSSTAERKE:
        setYAxisBemessungsverkehrsstaerke((AchsenBeschreibung)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSDICHTE:
        setYAxisBemessungsverkehrsdichte((AchsenBeschreibung)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_FAHREZEUGDICHTE:
        setYAxisFahrezeugdichte((AchsenBeschreibung)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_LKW_ANTEIL:
        setYAxisLKWAnteil((AchsenBeschreibung)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_STAT:
        setGeschwindigkeitsLimitLinieStat((Boolean)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_ICONS:
        setGeschwindigkeitsLimitIcons((Boolean)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__ANZEIGE_QUERSCHNITTE_ICONS:
        setAnzeigeQuerschnitteIcons((Boolean)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__HISTORIE_START_ZEITPUNKT:
        setHistorieStartZeitpunkt((Date)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__HISTORIE_END_ZEITPUNKT:
        setHistorieEndZeitpunkt((Date)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__SKALIERUNG_XACHSE:
        setSkalierungXAchse((Float)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__TYP_OBJEKT_BEZEICHNUNG:
        setTypObjektBezeichnung((TypObjektBezeichnung)newValue);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_DYN:
        setGeschwindigkeitsLimitLinieDyn((Boolean)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public void eUnset(int featureID) {
    switch (featureID)
    {
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__TYP_PROGNOSE_TYP:
        setTypPrognoseTyp(TYP_PROGNOSE_TYP_EDEFAULT);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__XAXIS_TYPE:
        setXAxisType((AchsenBeschreibung)null);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYP_ANZAHL:
        setYAxisTypAnzahl((AchsenBeschreibung)null);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYPE_GESCHWINDIGKEIT:
        setYAxisTypeGeschwindigkeit((AchsenBeschreibung)null);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSSTAERKE:
        setYAxisBemessungsverkehrsstaerke((AchsenBeschreibung)null);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSDICHTE:
        setYAxisBemessungsverkehrsdichte((AchsenBeschreibung)null);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_FAHREZEUGDICHTE:
        setYAxisFahrezeugdichte((AchsenBeschreibung)null);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_LKW_ANTEIL:
        setYAxisLKWAnteil((AchsenBeschreibung)null);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_STAT:
        setGeschwindigkeitsLimitLinieStat(GESCHWINDIGKEITS_LIMIT_LINIE_STAT_EDEFAULT);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_ICONS:
        setGeschwindigkeitsLimitIcons(GESCHWINDIGKEITS_LIMIT_ICONS_EDEFAULT);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__ANZEIGE_QUERSCHNITTE_ICONS:
        setAnzeigeQuerschnitteIcons(ANZEIGE_QUERSCHNITTE_ICONS_EDEFAULT);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__HISTORIE_START_ZEITPUNKT:
        setHistorieStartZeitpunkt(HISTORIE_START_ZEITPUNKT_EDEFAULT);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__HISTORIE_END_ZEITPUNKT:
        setHistorieEndZeitpunkt(HISTORIE_END_ZEITPUNKT_EDEFAULT);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__SKALIERUNG_XACHSE:
        setSkalierungXAchse(SKALIERUNG_XACHSE_EDEFAULT);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__TYP_OBJEKT_BEZEICHNUNG:
        setTypObjektBezeichnung(TYP_OBJEKT_BEZEICHNUNG_EDEFAULT);
        return;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_DYN:
        setGeschwindigkeitsLimitLinieDyn(GESCHWINDIGKEITS_LIMIT_LINIE_DYN_EDEFAULT);
        return;
    }
    super.eUnset(featureID);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public boolean eIsSet(int featureID) {
    switch (featureID)
    {
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__TYP_PROGNOSE_TYP:
        return typPrognoseTyp != TYP_PROGNOSE_TYP_EDEFAULT;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__XAXIS_TYPE:
        return xAxisType != null;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYP_ANZAHL:
        return yAxisTypAnzahl != null;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_TYPE_GESCHWINDIGKEIT:
        return yAxisTypeGeschwindigkeit != null;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSSTAERKE:
        return yAxisBemessungsverkehrsstaerke != null;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_BEMESSUNGSVERKEHRSDICHTE:
        return yAxisBemessungsverkehrsdichte != null;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_FAHREZEUGDICHTE:
        return yAxisFahrezeugdichte != null;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__YAXIS_LKW_ANTEIL:
        return yAxisLKWAnteil != null;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_STAT:
        return geschwindigkeitsLimitLinieStat != GESCHWINDIGKEITS_LIMIT_LINIE_STAT_EDEFAULT;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_ICONS:
        return geschwindigkeitsLimitIcons != GESCHWINDIGKEITS_LIMIT_ICONS_EDEFAULT;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__ANZEIGE_QUERSCHNITTE_ICONS:
        return anzeigeQuerschnitteIcons != ANZEIGE_QUERSCHNITTE_ICONS_EDEFAULT;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__HISTORIE_START_ZEITPUNKT:
        return HISTORIE_START_ZEITPUNKT_EDEFAULT == null ? historieStartZeitpunkt != null : !HISTORIE_START_ZEITPUNKT_EDEFAULT.equals(historieStartZeitpunkt);
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__HISTORIE_END_ZEITPUNKT:
        return HISTORIE_END_ZEITPUNKT_EDEFAULT == null ? historieEndZeitpunkt != null : !HISTORIE_END_ZEITPUNKT_EDEFAULT.equals(historieEndZeitpunkt);
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__SKALIERUNG_XACHSE:
        return skalierungXAchse != SKALIERUNG_XACHSE_EDEFAULT;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__TYP_OBJEKT_BEZEICHNUNG:
        return typObjektBezeichnung != TYP_OBJEKT_BEZEICHNUNG_EDEFAULT;
      case StreckenprofilPackage.DIAGRAMM_EIGENSCHAFTEN__GESCHWINDIGKEITS_LIMIT_LINIE_DYN:
        return geschwindigkeitsLimitLinieDyn != GESCHWINDIGKEITS_LIMIT_LINIE_DYN_EDEFAULT;
    }
    return super.eIsSet(featureID);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public String toString() {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (typPrognoseTyp: ");
    result.append(typPrognoseTyp);
    result.append(", GeschwindigkeitsLimitLinieStat: ");
    result.append(geschwindigkeitsLimitLinieStat);
    result.append(", GeschwindigkeitsLimitIcons: ");
    result.append(geschwindigkeitsLimitIcons);
    result.append(", AnzeigeQuerschnitteIcons: ");
    result.append(anzeigeQuerschnitteIcons);
    result.append(", historieStartZeitpunkt: ");
    result.append(historieStartZeitpunkt);
    result.append(", historieEndZeitpunkt: ");
    result.append(historieEndZeitpunkt);
    result.append(", skalierungXAchse: ");
    result.append(skalierungXAchse);
    result.append(", typObjektBezeichnung: ");
    result.append(typObjektBezeichnung);
    result.append(", GeschwindigkeitsLimitLinieDyn: ");
    result.append(geschwindigkeitsLimitLinieDyn);
    result.append(')');
    return result.toString();
  }

} // DiagrammEigenschaftenImpl
