package de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.prio;

import de.bsvrz.dav.daf.main.config.Aspect;
import de.bsvrz.sba.plugin.parameter.steuerungskern.dialog.AnzeigeInhaltTyp;

/**
 * Klasse zum Speichern der Zuordnung WVZ-Inhalt - Schaltgrund
 * @author ObertM
 *
 */
class Prio
{
	private AnzeigeInhaltTyp _inhalt;
	
	private Aspect _schaltgrund;

	public Prio (AnzeigeInhaltTyp inhalt, Aspect schaltgrund)
	{
	  _inhalt      = inhalt;
	  _schaltgrund = schaltgrund;
	  
	}

	public Prio (AnzeigeInhaltTyp inhalt)
	{
	  _inhalt      = inhalt;
	  _schaltgrund = null;
	  
	}

	/**
   * Methode liefert inhalt zurck
   * @return inhalt
   */
  public AnzeigeInhaltTyp getInhalt()
  {
  	return _inhalt;
  }

	/**
   * Methode liefert schaltgrund zurck
   * @return schaltgrund
   */
  public Aspect getSchaltgrund()
  {
  	return _schaltgrund;
  }
}
