/**
 * <copyright>
 * </copyright>
 *
 * $Id: FahrStreifenModelAbstractImpl.java,v 1.1 2012/12/21 10:45:58 Pittner Exp $
 */
package de.bsvrz.buv.plugin.anlagendarstellung.impl;

import com.bitctrl.lib.eclipse.emf.gef.model.GefPackage;
import com.bitctrl.lib.eclipse.emf.gef.model.Sized;

import de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage;
import de.bsvrz.buv.plugin.anlagendarstellung.DetektorLVE;
import de.bsvrz.buv.plugin.anlagendarstellung.FahrStreifenModelAbstract;

import de.bsvrz.buv.plugin.dobj.model.DoKomponente;
import de.bsvrz.buv.plugin.dobj.model.DoKompositum;
import de.bsvrz.buv.plugin.dobj.model.DobjPackage;

import java.util.Collection;

import org.eclipse.draw2d.geometry.Dimension;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Fahr Streifen Model Abstract</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.FahrStreifenModelAbstractImpl#getKomponenten <em>Komponenten</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.FahrStreifenModelAbstractImpl#getSize <em>Size</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.FahrStreifenModelAbstractImpl#getBezeichnung <em>Bezeichnung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.FahrStreifenModelAbstractImpl#getKontext <em>Kontext</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.FahrStreifenModelAbstractImpl#getDataUpdate <em>Data Update</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.FahrStreifenModelAbstractImpl#getDarstellungUpdate <em>Darstellung Update</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public abstract class FahrStreifenModelAbstractImpl extends DoModelMitVerbLinieImpl implements FahrStreifenModelAbstract
{
  /**
   * The cached value of the '{@link #getKomponenten() <em>Komponenten</em>}' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKomponenten()
   * @generated
   * @ordered
   */
  protected EList<DetektorLVE> komponenten;

  /**
   * The default value of the '{@link #getSize() <em>Size</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getSize()
   * @generated
   * @ordered
   */
  protected static final Dimension SIZE_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getSize() <em>Size</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getSize()
   * @generated
   * @ordered
   */
  protected Dimension size = SIZE_EDEFAULT;

  /**
   * The default value of the '{@link #getBezeichnung() <em>Bezeichnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBezeichnung()
   * @generated
   * @ordered
   */
  protected static final String BEZEICHNUNG_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getBezeichnung() <em>Bezeichnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBezeichnung()
   * @generated
   * @ordered
   */
  protected String bezeichnung = BEZEICHNUNG_EDEFAULT;

  /**
   * The default value of the '{@link #getKontext() <em>Kontext</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontext()
   * @generated
   * @ordered
   */
  protected static final int KONTEXT_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getKontext() <em>Kontext</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontext()
   * @generated
   * @ordered
   */
  protected int kontext = KONTEXT_EDEFAULT;

  /**
   * The default value of the '{@link #getDataUpdate() <em>Data Update</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDataUpdate()
   * @generated
   * @ordered
   */
  protected static final Object DATA_UPDATE_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDataUpdate() <em>Data Update</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDataUpdate()
   * @generated
   * @ordered
   */
  protected Object dataUpdate = DATA_UPDATE_EDEFAULT;

  /**
   * The default value of the '{@link #getDarstellungUpdate() <em>Darstellung Update</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDarstellungUpdate()
   * @generated
   * @ordered
   */
  protected static final Object DARSTELLUNG_UPDATE_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDarstellungUpdate() <em>Darstellung Update</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDarstellungUpdate()
   * @generated
   * @ordered
   */
  protected Object darstellungUpdate = DARSTELLUNG_UPDATE_EDEFAULT;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected FahrStreifenModelAbstractImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return AnlagendarstellungPackage.Literals.FAHR_STREIFEN_MODEL_ABSTRACT;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<DetektorLVE> getKomponenten()
  {
    if (komponenten == null)
    {
      komponenten = new EObjectContainmentEList<DetektorLVE>(DoKomponente.class, this, AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KOMPONENTEN);
    }
    return komponenten;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Dimension getSize()
  {
    return size;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setSize(Dimension newSize)
  {
    Dimension oldSize = size;
    size = newSize;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__SIZE, oldSize, size));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getBezeichnung()
  {
    return bezeichnung;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setBezeichnung(String newBezeichnung)
  {
    String oldBezeichnung = bezeichnung;
    bezeichnung = newBezeichnung;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__BEZEICHNUNG, oldBezeichnung, bezeichnung));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getKontext()
  {
    return kontext;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setKontext(int newKontext)
  {
    int oldKontext = kontext;
    kontext = newKontext;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KONTEXT, oldKontext, kontext));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Object getDataUpdate()
  {
    return dataUpdate;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDataUpdate(Object newDataUpdate)
  {
    Object oldDataUpdate = dataUpdate;
    dataUpdate = newDataUpdate;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__DATA_UPDATE, oldDataUpdate, dataUpdate));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Object getDarstellungUpdate()
  {
    return darstellungUpdate;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDarstellungUpdate(Object newDarstellungUpdate)
  {
    Object oldDarstellungUpdate = darstellungUpdate;
    darstellungUpdate = newDarstellungUpdate;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__DARSTELLUNG_UPDATE, oldDarstellungUpdate, darstellungUpdate));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KOMPONENTEN:
        return ((InternalEList<?>)getKomponenten()).basicRemove(otherEnd, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KOMPONENTEN:
        return getKomponenten();
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__SIZE:
        return getSize();
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__BEZEICHNUNG:
        return getBezeichnung();
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KONTEXT:
        return getKontext();
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__DATA_UPDATE:
        return getDataUpdate();
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__DARSTELLUNG_UPDATE:
        return getDarstellungUpdate();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @SuppressWarnings("unchecked")
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KOMPONENTEN:
        getKomponenten().clear();
        getKomponenten().addAll((Collection<? extends DetektorLVE>)newValue);
        return;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__SIZE:
        setSize((Dimension)newValue);
        return;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__BEZEICHNUNG:
        setBezeichnung((String)newValue);
        return;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KONTEXT:
        setKontext((Integer)newValue);
        return;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__DATA_UPDATE:
        setDataUpdate(newValue);
        return;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__DARSTELLUNG_UPDATE:
        setDarstellungUpdate(newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KOMPONENTEN:
        getKomponenten().clear();
        return;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__SIZE:
        setSize(SIZE_EDEFAULT);
        return;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__BEZEICHNUNG:
        setBezeichnung(BEZEICHNUNG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KONTEXT:
        setKontext(KONTEXT_EDEFAULT);
        return;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__DATA_UPDATE:
        setDataUpdate(DATA_UPDATE_EDEFAULT);
        return;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__DARSTELLUNG_UPDATE:
        setDarstellungUpdate(DARSTELLUNG_UPDATE_EDEFAULT);
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KOMPONENTEN:
        return komponenten != null && !komponenten.isEmpty();
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__SIZE:
        return SIZE_EDEFAULT == null ? size != null : !SIZE_EDEFAULT.equals(size);
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__BEZEICHNUNG:
        return BEZEICHNUNG_EDEFAULT == null ? bezeichnung != null : !BEZEICHNUNG_EDEFAULT.equals(bezeichnung);
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KONTEXT:
        return kontext != KONTEXT_EDEFAULT;
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__DATA_UPDATE:
        return DATA_UPDATE_EDEFAULT == null ? dataUpdate != null : !DATA_UPDATE_EDEFAULT.equals(dataUpdate);
      case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__DARSTELLUNG_UPDATE:
        return DARSTELLUNG_UPDATE_EDEFAULT == null ? darstellungUpdate != null : !DARSTELLUNG_UPDATE_EDEFAULT.equals(darstellungUpdate);
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)
  {
    if (baseClass == DoKompositum.class)
    {
      switch (derivedFeatureID)
      {
        case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KOMPONENTEN: return DobjPackage.DO_KOMPOSITUM__KOMPONENTEN;
        default: return -1;
      }
    }
    if (baseClass == Sized.class)
    {
      switch (derivedFeatureID)
      {
        case AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__SIZE: return GefPackage.SIZED__SIZE;
        default: return -1;
      }
    }
    return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)
  {
    if (baseClass == DoKompositum.class)
    {
      switch (baseFeatureID)
      {
        case DobjPackage.DO_KOMPOSITUM__KOMPONENTEN: return AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__KOMPONENTEN;
        default: return -1;
      }
    }
    if (baseClass == Sized.class)
    {
      switch (baseFeatureID)
      {
        case GefPackage.SIZED__SIZE: return AnlagendarstellungPackage.FAHR_STREIFEN_MODEL_ABSTRACT__SIZE;
        default: return -1;
      }
    }
    return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (size: ");
    result.append(size);
    result.append(", Bezeichnung: ");
    result.append(bezeichnung);
    result.append(", Kontext: ");
    result.append(kontext);
    result.append(", DataUpdate: ");
    result.append(dataUpdate);
    result.append(", DarstellungUpdate: ");
    result.append(darstellungUpdate);
    result.append(')');
    return result.toString();
  }

} //FahrStreifenModelAbstractImpl
