/**
 * <copyright>
 * </copyright>
 *
 * $Id: LinienEigenschaftenImpl.java,v 1.2 2014/04/17 15:51:14 Pittner Exp $
 */
package de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl;

import org.eclipse.birt.chart.model.attribute.LineStyle;
import org.eclipse.birt.chart.model.attribute.MarkerType;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;
import org.eclipse.swt.graphics.RGB;

import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.LinienDicke;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.LinienEigenschaften;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.SeriesType;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypDatenQuellen;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypVerkehrsDaten;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>Linien Eigenschaften</b></em>'. <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.LinienEigenschaftenImpl#getLineStyle <em>Line Style</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.LinienEigenschaftenImpl#getLineThickness <em>Line Thickness</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.LinienEigenschaftenImpl#getTypDatenQuelle <em>Typ Daten Quelle</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.LinienEigenschaftenImpl#getTypVerkehrsDaten <em>Typ Verkehrs Daten</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.LinienEigenschaftenImpl#getSeriesType <em>Series Type</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.LinienEigenschaftenImpl#getRgb <em>Rgb</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.LinienEigenschaftenImpl#isVisible <em>Visible</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.LinienEigenschaftenImpl#getKnotenArt <em>Knoten Art</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.LinienEigenschaftenImpl#getKnotenFarbe <em>Knoten Farbe</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class LinienEigenschaftenImpl extends EObjectImpl implements
		LinienEigenschaften {
	/**
   * The default value of the '{@link #getLineStyle() <em>Line Style</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getLineStyle()
   * @generated
   * @ordered
   */
	protected static final LineStyle LINE_STYLE_EDEFAULT = LineStyle.SOLID_LITERAL;

	/**
   * The cached value of the '{@link #getLineStyle() <em>Line Style</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getLineStyle()
   * @generated
   * @ordered
   */
	protected LineStyle lineStyle = LINE_STYLE_EDEFAULT;

	/**
   * The default value of the '{@link #getLineThickness() <em>Line Thickness</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getLineThickness()
   * @generated
   * @ordered
   */
	protected static final LinienDicke LINE_THICKNESS_EDEFAULT = LinienDicke.THIN;

	/**
   * The cached value of the '{@link #getLineThickness() <em>Line Thickness</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getLineThickness()
   * @generated
   * @ordered
   */
	protected LinienDicke lineThickness = LINE_THICKNESS_EDEFAULT;

	/**
   * The default value of the '{@link #getTypDatenQuelle() <em>Typ Daten Quelle</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getTypDatenQuelle()
   * @generated
   * @ordered
   */
	protected static final TypDatenQuellen TYP_DATEN_QUELLE_EDEFAULT = TypDatenQuellen.MQ;

	/**
   * The cached value of the '{@link #getTypDatenQuelle() <em>Typ Daten Quelle</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getTypDatenQuelle()
   * @generated
   * @ordered
   */
	protected TypDatenQuellen typDatenQuelle = TYP_DATEN_QUELLE_EDEFAULT;

	/**
   * The default value of the '{@link #getTypVerkehrsDaten() <em>Typ Verkehrs Daten</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getTypVerkehrsDaten()
   * @generated
   * @ordered
   */
	protected static final TypVerkehrsDaten TYP_VERKEHRS_DATEN_EDEFAULT = TypVerkehrsDaten.QKFZ;

	/**
   * The cached value of the '{@link #getTypVerkehrsDaten() <em>Typ Verkehrs Daten</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getTypVerkehrsDaten()
   * @generated
   * @ordered
   */
	protected TypVerkehrsDaten typVerkehrsDaten = TYP_VERKEHRS_DATEN_EDEFAULT;

	/**
   * The default value of the '{@link #getSeriesType() <em>Series Type</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getSeriesType()
   * @generated
   * @ordered
   */
	protected static final SeriesType SERIES_TYPE_EDEFAULT = SeriesType.LINE;

	/**
   * The cached value of the '{@link #getSeriesType() <em>Series Type</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getSeriesType()
   * @generated
   * @ordered
   */
	protected SeriesType seriesType = SERIES_TYPE_EDEFAULT;

	/**
	 * The default value of the '{@link #getRgb() <em>Rgb</em>}' attribute. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see #getRgb()
	 * @generated
	 * @ordered
	 */
	protected static final RGB RGB_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getRgb() <em>Rgb</em>}' attribute. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see #getRgb()
	 * @generated
	 * @ordered
	 */
	protected RGB rgb = RGB_EDEFAULT;

	/**
   * The default value of the '{@link #isVisible() <em>Visible</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #isVisible()
   * @generated
   * @ordered
   */
	protected static final boolean VISIBLE_EDEFAULT = true;

	/**
   * The cached value of the '{@link #isVisible() <em>Visible</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #isVisible()
   * @generated
   * @ordered
   */
	protected boolean visible = VISIBLE_EDEFAULT;

	/**
   * The default value of the '{@link #getKnotenArt() <em>Knoten Art</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getKnotenArt()
   * @generated
   * @ordered
   */
	protected static final MarkerType KNOTEN_ART_EDEFAULT = MarkerType.CROSSHAIR_LITERAL;

	/**
   * The cached value of the '{@link #getKnotenArt() <em>Knoten Art</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getKnotenArt()
   * @generated
   * @ordered
   */
	protected MarkerType knotenArt = KNOTEN_ART_EDEFAULT;

	/**
   * The default value of the '{@link #getKnotenFarbe() <em>Knoten Farbe</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getKnotenFarbe()
   * @generated
   * @ordered
   */
	protected static final RGB KNOTEN_FARBE_EDEFAULT = null;

	/**
   * The cached value of the '{@link #getKnotenFarbe() <em>Knoten Farbe</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getKnotenFarbe()
   * @generated
   * @ordered
   */
	protected RGB knotenFarbe = KNOTEN_FARBE_EDEFAULT;

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	protected LinienEigenschaftenImpl() {
    super();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	protected EClass eStaticClass() {
    return StreckenprofilPackage.Literals.LINIEN_EIGENSCHAFTEN;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public LineStyle getLineStyle() {
    return lineStyle;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setLineStyle(LineStyle newLineStyle) {
    LineStyle oldLineStyle = lineStyle;
    lineStyle = newLineStyle == null ? LINE_STYLE_EDEFAULT : newLineStyle;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__LINE_STYLE, oldLineStyle, lineStyle));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public LinienDicke getLineThickness() {
    return lineThickness;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setLineThickness(LinienDicke newLineThickness) {
    LinienDicke oldLineThickness = lineThickness;
    lineThickness = newLineThickness == null ? LINE_THICKNESS_EDEFAULT : newLineThickness;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__LINE_THICKNESS, oldLineThickness, lineThickness));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public TypDatenQuellen getTypDatenQuelle() {
    return typDatenQuelle;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setTypDatenQuelle(TypDatenQuellen newTypDatenQuelle) {
    TypDatenQuellen oldTypDatenQuelle = typDatenQuelle;
    typDatenQuelle = newTypDatenQuelle == null ? TYP_DATEN_QUELLE_EDEFAULT : newTypDatenQuelle;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__TYP_DATEN_QUELLE, oldTypDatenQuelle, typDatenQuelle));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public TypVerkehrsDaten getTypVerkehrsDaten() {
    return typVerkehrsDaten;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setTypVerkehrsDaten(TypVerkehrsDaten newTypVerkehrsDaten) {
    TypVerkehrsDaten oldTypVerkehrsDaten = typVerkehrsDaten;
    typVerkehrsDaten = newTypVerkehrsDaten == null ? TYP_VERKEHRS_DATEN_EDEFAULT : newTypVerkehrsDaten;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__TYP_VERKEHRS_DATEN, oldTypVerkehrsDaten, typVerkehrsDaten));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public SeriesType getSeriesType() {
    return seriesType;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setSeriesType(SeriesType newSeriesType) {
    SeriesType oldSeriesType = seriesType;
    seriesType = newSeriesType == null ? SERIES_TYPE_EDEFAULT : newSeriesType;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__SERIES_TYPE, oldSeriesType, seriesType));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public RGB getRgb() {
    return rgb;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setRgb(RGB newRgb) {
    RGB oldRgb = rgb;
    rgb = newRgb;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__RGB, oldRgb, rgb));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public boolean isVisible() {
    return visible;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setVisible(boolean newVisible) {
    boolean oldVisible = visible;
    visible = newVisible;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__VISIBLE, oldVisible, visible));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public MarkerType getKnotenArt() {
    return knotenArt;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setKnotenArt(MarkerType newKnotenArt) {
    MarkerType oldKnotenArt = knotenArt;
    knotenArt = newKnotenArt == null ? KNOTEN_ART_EDEFAULT : newKnotenArt;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__KNOTEN_ART, oldKnotenArt, knotenArt));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public RGB getKnotenFarbe() {
    return knotenFarbe;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setKnotenFarbe(RGB newKnotenFarbe) {
    RGB oldKnotenFarbe = knotenFarbe;
    knotenFarbe = newKnotenFarbe;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__KNOTEN_FARBE, oldKnotenFarbe, knotenFarbe));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
    switch (featureID)
    {
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__LINE_STYLE:
        return getLineStyle();
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__LINE_THICKNESS:
        return getLineThickness();
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__TYP_DATEN_QUELLE:
        return getTypDatenQuelle();
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__TYP_VERKEHRS_DATEN:
        return getTypVerkehrsDaten();
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__SERIES_TYPE:
        return getSeriesType();
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__RGB:
        return getRgb();
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__VISIBLE:
        return isVisible();
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__KNOTEN_ART:
        return getKnotenArt();
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__KNOTEN_FARBE:
        return getKnotenFarbe();
    }
    return super.eGet(featureID, resolve, coreType);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public void eSet(int featureID, Object newValue) {
    switch (featureID)
    {
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__LINE_STYLE:
        setLineStyle((LineStyle)newValue);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__LINE_THICKNESS:
        setLineThickness((LinienDicke)newValue);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__TYP_DATEN_QUELLE:
        setTypDatenQuelle((TypDatenQuellen)newValue);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__TYP_VERKEHRS_DATEN:
        setTypVerkehrsDaten((TypVerkehrsDaten)newValue);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__SERIES_TYPE:
        setSeriesType((SeriesType)newValue);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__RGB:
        setRgb((RGB)newValue);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__VISIBLE:
        setVisible((Boolean)newValue);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__KNOTEN_ART:
        setKnotenArt((MarkerType)newValue);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__KNOTEN_FARBE:
        setKnotenFarbe((RGB)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public void eUnset(int featureID) {
    switch (featureID)
    {
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__LINE_STYLE:
        setLineStyle(LINE_STYLE_EDEFAULT);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__LINE_THICKNESS:
        setLineThickness(LINE_THICKNESS_EDEFAULT);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__TYP_DATEN_QUELLE:
        setTypDatenQuelle(TYP_DATEN_QUELLE_EDEFAULT);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__TYP_VERKEHRS_DATEN:
        setTypVerkehrsDaten(TYP_VERKEHRS_DATEN_EDEFAULT);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__SERIES_TYPE:
        setSeriesType(SERIES_TYPE_EDEFAULT);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__RGB:
        setRgb(RGB_EDEFAULT);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__VISIBLE:
        setVisible(VISIBLE_EDEFAULT);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__KNOTEN_ART:
        setKnotenArt(KNOTEN_ART_EDEFAULT);
        return;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__KNOTEN_FARBE:
        setKnotenFarbe(KNOTEN_FARBE_EDEFAULT);
        return;
    }
    super.eUnset(featureID);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public boolean eIsSet(int featureID) {
    switch (featureID)
    {
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__LINE_STYLE:
        return lineStyle != LINE_STYLE_EDEFAULT;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__LINE_THICKNESS:
        return lineThickness != LINE_THICKNESS_EDEFAULT;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__TYP_DATEN_QUELLE:
        return typDatenQuelle != TYP_DATEN_QUELLE_EDEFAULT;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__TYP_VERKEHRS_DATEN:
        return typVerkehrsDaten != TYP_VERKEHRS_DATEN_EDEFAULT;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__SERIES_TYPE:
        return seriesType != SERIES_TYPE_EDEFAULT;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__RGB:
        return RGB_EDEFAULT == null ? rgb != null : !RGB_EDEFAULT.equals(rgb);
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__VISIBLE:
        return visible != VISIBLE_EDEFAULT;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__KNOTEN_ART:
        return knotenArt != KNOTEN_ART_EDEFAULT;
      case StreckenprofilPackage.LINIEN_EIGENSCHAFTEN__KNOTEN_FARBE:
        return KNOTEN_FARBE_EDEFAULT == null ? knotenFarbe != null : !KNOTEN_FARBE_EDEFAULT.equals(knotenFarbe);
    }
    return super.eIsSet(featureID);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public String toString() {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (lineStyle: ");
    result.append(lineStyle);
    result.append(", lineThickness: ");
    result.append(lineThickness);
    result.append(", typDatenQuelle: ");
    result.append(typDatenQuelle);
    result.append(", typVerkehrsDaten: ");
    result.append(typVerkehrsDaten);
    result.append(", seriesType: ");
    result.append(seriesType);
    result.append(", rgb: ");
    result.append(rgb);
    result.append(", visible: ");
    result.append(visible);
    result.append(", knotenArt: ");
    result.append(knotenArt);
    result.append(", knotenFarbe: ");
    result.append(knotenFarbe);
    result.append(')');
    return result.toString();
  }

} // LinienEigenschaftenImpl
