/**
 * <copyright>
 * </copyright>
 *
 * $Id: StreckenprofilEditorModelImpl.java,v 1.3 2014/04/17 15:51:13 Pittner Exp $
 */
package de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl;

import java.util.Collection;

import org.eclipse.core.runtime.jobs.Job;
import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.AnzeigeEigenschaften;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.LinienEigenschaften;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenZug;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilEditorModel;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>Editor Model</b></em>'. <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenprofilEditorModelImpl#getStreckenZug <em>Strecken Zug</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenprofilEditorModelImpl#getLineProperties <em>Line Properties</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenprofilEditorModelImpl#getChartProperties <em>Chart Properties</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenprofilEditorModelImpl#getWegeCalculator <em>Wege Calculator</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.StreckenprofilEditorModelImpl#getAnzeigeEigenschaften <em>Anzeige Eigenschaften</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class StreckenprofilEditorModelImpl extends EObjectImpl implements
		StreckenprofilEditorModel {
	/**
   * The cached value of the '{@link #getStreckenZug() <em>Strecken Zug</em>}' containment reference.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getStreckenZug()
   * @generated
   * @ordered
   */
	protected StreckenZug streckenZug;

	/**
	 * The cached value of the '{@link #getLineProperties()
	 * <em>Line Properties</em>}' containment reference list. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @see #getLineProperties()
	 * @generated
	 * @ordered
	 */
	protected EList<LinienEigenschaften> lineProperties;

	/**
   * The cached value of the '{@link #getChartProperties() <em>Chart Properties</em>}' containment reference.
   * <!-- begin-user-doc
	 * --> <!-- end-user-doc -->
   * @see #getChartProperties()
   * @generated
   * @ordered
   */
	protected DiagrammEigenschaften chartProperties;

	/**
   * The default value of the '{@link #getWegeCalculator() <em>Wege Calculator</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getWegeCalculator()
   * @generated
   * @ordered
   */
	protected static final Job WEGE_CALCULATOR_EDEFAULT = null;

	/**
   * The cached value of the '{@link #getWegeCalculator() <em>Wege Calculator</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getWegeCalculator()
   * @generated
   * @ordered
   */
	protected Job wegeCalculator = WEGE_CALCULATOR_EDEFAULT;

	/**
   * The cached value of the '{@link #getAnzeigeEigenschaften() <em>Anzeige Eigenschaften</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAnzeigeEigenschaften()
   * @generated
   * @ordered
   */
  protected AnzeigeEigenschaften anzeigeEigenschaften;

  /**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated NOT
	 */
	protected StreckenprofilEditorModelImpl() {
		super();
		/*
		 * Der Wege-Calculator wird nur bentigt, wenn das Objekt im Editor
		 * geffnet wird?
		 */
		// setWegeCalculator(new WegeCalculatorJob(this));
	}

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	protected EClass eStaticClass() {
    return StreckenprofilPackage.Literals.STRECKENPROFIL_EDITOR_MODEL;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public StreckenZug getStreckenZug() {
    return streckenZug;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetStreckenZug(
			StreckenZug newStreckenZug, NotificationChain msgs) {
    StreckenZug oldStreckenZug = streckenZug;
    streckenZug = newStreckenZug;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__STRECKEN_ZUG, oldStreckenZug, newStreckenZug);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setStreckenZug(StreckenZug newStreckenZug) {
    if (newStreckenZug != streckenZug)
    {
      NotificationChain msgs = null;
      if (streckenZug != null)
        msgs = ((InternalEObject)streckenZug).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__STRECKEN_ZUG, null, msgs);
      if (newStreckenZug != null)
        msgs = ((InternalEObject)newStreckenZug).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__STRECKEN_ZUG, null, msgs);
      msgs = basicSetStreckenZug(newStreckenZug, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__STRECKEN_ZUG, newStreckenZug, newStreckenZug));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public Job getWegeCalculator() {
    return wegeCalculator;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setWegeCalculator(Job newWegeCalculator) {
    Job oldWegeCalculator = wegeCalculator;
    wegeCalculator = newWegeCalculator;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__WEGE_CALCULATOR, oldWegeCalculator, wegeCalculator));
  }

	/**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public AnzeigeEigenschaften getAnzeigeEigenschaften()
  {
    return anzeigeEigenschaften;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public NotificationChain basicSetAnzeigeEigenschaften(AnzeigeEigenschaften newAnzeigeEigenschaften, NotificationChain msgs)
  {
    AnzeigeEigenschaften oldAnzeigeEigenschaften = anzeigeEigenschaften;
    anzeigeEigenschaften = newAnzeigeEigenschaften;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__ANZEIGE_EIGENSCHAFTEN, oldAnzeigeEigenschaften, newAnzeigeEigenschaften);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setAnzeigeEigenschaften(AnzeigeEigenschaften newAnzeigeEigenschaften)
  {
    if (newAnzeigeEigenschaften != anzeigeEigenschaften)
    {
      NotificationChain msgs = null;
      if (anzeigeEigenschaften != null)
        msgs = ((InternalEObject)anzeigeEigenschaften).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__ANZEIGE_EIGENSCHAFTEN, null, msgs);
      if (newAnzeigeEigenschaften != null)
        msgs = ((InternalEObject)newAnzeigeEigenschaften).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__ANZEIGE_EIGENSCHAFTEN, null, msgs);
      msgs = basicSetAnzeigeEigenschaften(newAnzeigeEigenschaften, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__ANZEIGE_EIGENSCHAFTEN, newAnzeigeEigenschaften, newAnzeigeEigenschaften));
  }

  /**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public EList<LinienEigenschaften> getLineProperties() {
    if (lineProperties == null)
    {
      lineProperties = new EObjectContainmentEList<LinienEigenschaften>(LinienEigenschaften.class, this, StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__LINE_PROPERTIES);
    }
    return lineProperties;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public DiagrammEigenschaften getChartProperties() {
    return chartProperties;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetChartProperties(
			DiagrammEigenschaften newChartProperties, NotificationChain msgs) {
    DiagrammEigenschaften oldChartProperties = chartProperties;
    chartProperties = newChartProperties;
    if (eNotificationRequired())
    {
      ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__CHART_PROPERTIES, oldChartProperties, newChartProperties);
      if (msgs == null) msgs = notification; else msgs.add(notification);
    }
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setChartProperties(
			DiagrammEigenschaften newChartProperties) {
    if (newChartProperties != chartProperties)
    {
      NotificationChain msgs = null;
      if (chartProperties != null)
        msgs = ((InternalEObject)chartProperties).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__CHART_PROPERTIES, null, msgs);
      if (newChartProperties != null)
        msgs = ((InternalEObject)newChartProperties).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__CHART_PROPERTIES, null, msgs);
      msgs = basicSetChartProperties(newChartProperties, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__CHART_PROPERTIES, newChartProperties, newChartProperties));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__STRECKEN_ZUG:
        return basicSetStreckenZug(null, msgs);
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__LINE_PROPERTIES:
        return ((InternalEList<?>)getLineProperties()).basicRemove(otherEnd, msgs);
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__CHART_PROPERTIES:
        return basicSetChartProperties(null, msgs);
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__ANZEIGE_EIGENSCHAFTEN:
        return basicSetAnzeigeEigenschaften(null, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__STRECKEN_ZUG:
        return getStreckenZug();
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__LINE_PROPERTIES:
        return getLineProperties();
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__CHART_PROPERTIES:
        return getChartProperties();
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__WEGE_CALCULATOR:
        return getWegeCalculator();
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__ANZEIGE_EIGENSCHAFTEN:
        return getAnzeigeEigenschaften();
    }
    return super.eGet(featureID, resolve, coreType);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__STRECKEN_ZUG:
        setStreckenZug((StreckenZug)newValue);
        return;
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__LINE_PROPERTIES:
        getLineProperties().clear();
        getLineProperties().addAll((Collection<? extends LinienEigenschaften>)newValue);
        return;
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__CHART_PROPERTIES:
        setChartProperties((DiagrammEigenschaften)newValue);
        return;
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__WEGE_CALCULATOR:
        setWegeCalculator((Job)newValue);
        return;
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__ANZEIGE_EIGENSCHAFTEN:
        setAnzeigeEigenschaften((AnzeigeEigenschaften)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public void eUnset(int featureID) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__STRECKEN_ZUG:
        setStreckenZug((StreckenZug)null);
        return;
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__LINE_PROPERTIES:
        getLineProperties().clear();
        return;
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__CHART_PROPERTIES:
        setChartProperties((DiagrammEigenschaften)null);
        return;
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__WEGE_CALCULATOR:
        setWegeCalculator(WEGE_CALCULATOR_EDEFAULT);
        return;
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__ANZEIGE_EIGENSCHAFTEN:
        setAnzeigeEigenschaften((AnzeigeEigenschaften)null);
        return;
    }
    super.eUnset(featureID);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public boolean eIsSet(int featureID) {
    switch (featureID)
    {
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__STRECKEN_ZUG:
        return streckenZug != null;
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__LINE_PROPERTIES:
        return lineProperties != null && !lineProperties.isEmpty();
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__CHART_PROPERTIES:
        return chartProperties != null;
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__WEGE_CALCULATOR:
        return WEGE_CALCULATOR_EDEFAULT == null ? wegeCalculator != null : !WEGE_CALCULATOR_EDEFAULT.equals(wegeCalculator);
      case StreckenprofilPackage.STRECKENPROFIL_EDITOR_MODEL__ANZEIGE_EIGENSCHAFTEN:
        return anzeigeEigenschaften != null;
    }
    return super.eIsSet(featureID);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public String toString() {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (wegeCalculator: ");
    result.append(wegeCalculator);
    result.append(')');
    return result.toString();
  }

} // StreckenprofilEditorModelImpl
