package de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.laengsquerabgleich.universal;

import java.util.Observable;
import java.util.Observer;

import org.eclipse.swt.widgets.Composite;
/**
 * TabellenModell fr Parameter
 * 
 * @author Krause
 *
 */
public class TableModel extends Observable implements Observer
{
  private Composite _bezeichnung;
  private Composite _attribut;
  private Composite _einheit;


  public TableModel(Composite bezeichnung, Composite attribut, Composite einheit)
  {
    this._bezeichnung = bezeichnung;
    this._attribut = attribut;
    this._einheit = einheit;
    
    
  }

  public Composite getBezeichnung()
  {
    return _bezeichnung;
  }

  public Composite getAttribut()
  {
    return _attribut;
  }
 
  public Composite getEinheit()
  {
    return _einheit;
  }
  
  @Override
  public void update(Observable o, Object arg)
  {
//    System.out.println("Update: TableModel");
    fireEvent();
  }

  public void fireEvent()
  {
    setChanged();
    notifyObservers();
  }

}
